Qt 5.11 | Qt Quick | C++ Classes | QQuickImageResponse

Qt 5.11.3 Reference Documentation

# QQuickImageResponse Class

The QQuickImageResponse class provides an interface for asynchronous image loading in QQuickAsyncImageProvider. More...

Header: | #include <QQuickImageResponse>
qmake: | QT += quick
Since: | Qt 5.6

- List of all members, including inherited members

## Public Functions

| QQuickImageResponse()
virtual | ~QQuickImageResponse() override
virtual QString | errorString() const
virtual QQuickTextureFactory * | textureFactory() const = 0

## Public Slots

virtual void | cancel()

## Signals

void | finished()

## Detailed Description

The QQuickImageResponse class provides an interface for asynchronous image loading in QQuickAsyncImageProvider.

The purpose of an image response is to provide a way for image provider jobs to be executed in an asynchronous way.

Responses are deleted via deleteLater once the finished() signal has been emitted. If you are using QRunnable as base for your QQuickImageResponse ensure automatic deletion is disabled.

See the Image Response Provider Example for a complete implementation.

See also QQuickImageProvider.

## Member Function Documentation

### QQuickImageResponse::QQuickImageResponse()

Constructs the image response

### `[override virtual]` QQuickImageResponse::~QQuickImageResponse()

Destructs the image response

### `[virtual slot]` void QQuickImageResponse::cancel()

This method is used to communicate that the response is no longer required by the engine.

It may be reimplemented to cancel a request in the provider side, however, it is not mandatory.

A cancelled QQuickImageResponse still needs to emit finished() so that the engine may clean up the QQuickImageResponse.

Note: finished() should not be emitted until the response is complete, regardless of whether or not cancel() was called. If it is called prematurely, the engine may destroy the response while it is still active, leading to a crash.

### `[virtual]` QString QQuickImageResponse::errorString() const

Returns the error string for the job execution. An empty string means no error.

### `[signal]` void QQuickImageResponse::finished()

### `[pure virtual]` QQuickTextureFactory *QQuickImageResponse::textureFactory() const